package com.bocloud.cmp.model;

import com.bocloud.cmp.model.storage.StorageDiskModel;

public class OsdModel {
    private String name; // 名称
    private String status; // 状态
    private String osdId; // 标识
    private Integer pgNum;
    private Double diskTotal; // 容量
    private Double diskUsed;  // 已用容量
    private Long readCacheByte; // 读缓存容量
    private String dataDisk;
    private String logDisk;
    private String role; // 角色
    private StorageDiskModel physicalDisk; // 物理盘
    private StorageDiskModel cacheDisk; // 缓存盘
    private String dataStatus; // 数据状态(Json)：{healthyPercent:1,degradedPercent:0,recoveryPercent:0,unavailablePercent:0},分别为：健康的、降级的、待恢复、不可用
    private HostModel host; // 所属服务器
    private VolumePoolModel pool; // 所属存储池
    private String props;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the osdId
     */
    public String getOsdId() {
        return osdId;
    }

    /**
     * @param osdId the osdId to set
     */
    public void setOsdId(String osdId) {
        this.osdId = osdId;
    }

    /**
     * @return the pgNum
     */
    public Integer getPgNum() {
        return pgNum;
    }

    /**
     * @param pgNum the pgNum to set
     */
    public void setPgNum(Integer pgNum) {
        this.pgNum = pgNum;
    }

    /**
     * @return the diskTotal
     */
    public Double getDiskTotal() {
        return diskTotal;
    }

    /**
     * @param diskTotal the diskTotal to set
     */
    public void setDiskTotal(Double diskTotal) {
        this.diskTotal = diskTotal;
    }

    /**
     * @return the diskUsed
     */
    public Double getDiskUsed() {
        return diskUsed;
    }

    /**
     * @param diskUsed the diskUsed to set
     */
    public void setDiskUsed(Double diskUsed) {
        this.diskUsed = diskUsed;
    }

    /**
     * @return the dataDisk
     */
    public String getDataDisk() {
        return dataDisk;
    }

    /**
     * @param dataDisk the dataDisk to set
     */
    public void setDataDisk(String dataDisk) {
        this.dataDisk = dataDisk;
    }

    /**
     * @return the logDisk
     */
    public String getLogDisk() {
        return logDisk;
    }

    /**
     * @param logDisk the logDisk to set
     */
    public void setLogDisk(String logDisk) {
        this.logDisk = logDisk;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public StorageDiskModel getPhysicalDisk() {
        return physicalDisk;
    }

    public void setPhysicalDisk(StorageDiskModel physicalDisk) {
        this.physicalDisk = physicalDisk;
    }

    public StorageDiskModel getCacheDisk() {
        return cacheDisk;
    }

    public void setCacheDisk(StorageDiskModel cacheDisk) {
        this.cacheDisk = cacheDisk;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public HostModel getHost() {
        return host;
    }

    public void setHost(HostModel host) {
        this.host = host;
    }

    public VolumePoolModel getPool() {
        return pool;
    }

    public void setPool(VolumePoolModel pool) {
        this.pool = pool;
    }

    public Long getReadCacheByte() {
        return readCacheByte;
    }

    public void setReadCacheByte(Long readCacheByte) {
        this.readCacheByte = readCacheByte;
    }

    public String getProps() {
        return props;
    }

    public void setProps(String props) {
        this.props = props;
    }
}
